#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 19 August 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

analysis$Sex <- as.factor(analysis$Sex)
SEX.N <- table(analysis$Sex)
age.m1 <- getmedtex(var=analysis$Age,by=analysis$Sex,label="Age",note="a",inc.pval=TRUE)
  analysis$Education[analysis$Education %in% c("OTHER NON-CODED","")] <- NA
edu.n1 <- getnptex(var=analysis$Education,by=analysis$Sex,label="Education",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$Education)),simpleCap))
  analysis$Maritalstatus[analysis$Maritalstatus %in% c("OTHER NON-CODED","")] <- NA
  analysis$Maritalstatus[analysis$Maritalstatus %in% c("SEPARATED","DIVORCED")] <- "DIVORCED/SEPARATED"
mar.n1 <- getnptex(var=analysis$Maritalstatus,by=analysis$Sex,label="Marital status",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$Maritalstatus)),simpleCap))
dis.n1 <- getnptex(var=analysis$districts,by=analysis$Sex,label="District",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$districts)),simpleCap))

reg.n1 <- getnptex(var=analysis$ARTregimen,by=analysis$Sex,label="ART regimen",inc.pval=TRUE,rowlabel=levels(as.factor(analysis$ARTregimen)))
d4t.n1 <- getnptex(var=analysis$D4T,by=analysis$Sex,label="D4T based regimen",inc.pval=TRUE,rowlabel=levels(as.factor(analysis$D4T)))
ref.n1 <- getnptex(var=analysis$ReferralType,by=analysis$Sex,label="Referral type",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$ReferralType)),simpleCap))
hei.m1 <- getmedtex(var=analysis$EnrollHeight,by=analysis$Sex,label="Height (cm)",note="ac",inc.pval=TRUE)
wei.m1 <- getmedtex(var=analysis$EnrollWeight,by=analysis$Sex,label="Weight (kg)",note="ac",inc.pval=TRUE)
bmi.m1 <- getmedtex(var=analysis$EnrollBMI   ,by=analysis$Sex,label="BMI (kg/m$^2$)",note="ac",inc.pval=TRUE,lower.label=FALSE)
en2tx.m1 <- getmedtex(var=as.numeric(analysis$en2tx),by=analysis$Sex,label="Time from enrollment to ART initiation",note="a",inc.pval=TRUE)
txcd4.m1 <- getmedtex(var=analysis$txcd4,by=analysis$Sex,label="CD4 count",note="a",inc.pval=TRUE,lower.label=FALSE)
txhem.m1 <- getmedtex(var=analysis$txhem,by=analysis$Sex,label="Hemoglobin",note="a",inc.pval=TRUE)
  analysis$txstage[analysis$txstage==""] <- NA
txstage.n1 <- getnptex(var=analysis$txstage,by=analysis$Sex,label="WHO Stage",inc.pval=TRUE,rowlabel=c("I","II","III","IV"))
death.n1 <- getnp1line(var=ifelse(analysis$death24mo==1,1,NA),by=analysis$Sex,rowlabel="Death in 24 months",indent=FALSE,inc.pval=TRUE)
lost.n1 <- getnp1line(var=ifelse(analysis$ltfu24mo==1,1,NA),by=analysis$Sex,rowlabel="LTFU at 24 months\\\\tnote{d}",indent=FALSE,inc.pval=TRUE)
udlost.n1 <- getnp1line(var=ifelse(analysis$udltfu24mo==1,1,NA),by=analysis$Sex,rowlabel="LTFU at 24 months\\\\tnote{e}",indent=FALSE,inc.pval=TRUE)
## EMAILED BILL AND TROY RE: TXREGIME

table1  <- paste(age.m1$line,edu.n1$line.incmiss,mar.n1$line.incmiss,
                 dis.n1$line,ref.n1$line.incmiss,sep=" \\\\\\\\ ")
table2  <- paste(reg.n1$line.incmiss,d4t.n1$line.incmiss,hei.m1$line.incmiss,wei.m1$line.incmiss,bmi.m1$line.incmiss,
		             en2tx.m1,txcd4.m1$line.incmiss,txhem.m1$line.incmiss,txstage.n1$line.incmiss,
                 death.n1,lost.n1,udlost.n1,sep=" \\\\\\\\ ")



