#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 19 August 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"
analysis$outcome24mo <- ifelse(analysis$ltfu24mo==0 & analysis$death24mo==0,0,ifelse(analysis$death24mo==1,1,2))
analysis$outcome24mo <- as.factor(analysis$outcome24mo)
O24.N <- table(analysis$outcome24mo)
sex.n2 <- getnp1line(var=ifelse(analysis$Sex=="F",1,NA),by=analysis$outcome24mo,rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m2 <- getmedtex(var=analysis$Age,by=analysis$outcome24mo,label="Age",note="a",inc.pval=TRUE)
  analysis$Education[analysis$Education %in% c("OTHER NON-CODED","")] <- NA
edu.n2 <- getnptex(var=analysis$Education,by=analysis$outcome24mo,label="Education",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$Education)),simpleCap))
  analysis$Maritalstatus[analysis$Maritalstatus %in% c("OTHER NON-CODED","")] <- NA
  analysis$Maritalstatus[analysis$Maritalstatus %in% c("SEPARATED","DIVORCED")] <- "DIVORCED/SEPARATED"
mar.n2 <- getnptex(var=analysis$Maritalstatus,by=analysis$outcome24mo,label="Marital status",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$Maritalstatus)),simpleCap))
dis.n2 <- getnptex(var=analysis$districts,by=analysis$outcome24mo,label="District",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$districts)),simpleCap))

reg.n2 <- getnptex(var=analysis$ARTregimen,by=analysis$outcome24mo,label="ART regimen",inc.pval=TRUE,rowlabel=levels(as.factor(analysis$ARTregimen)))
d4t.n2 <- getnptex(var=analysis$D4T,by=analysis$outcome24mo,label="D4T based regimen",inc.pval=TRUE,rowlabel=levels(as.factor(analysis$D4T)))
ref.n2 <- getnptex(var=analysis$ReferralType,by=analysis$outcome24mo,label="Referral type",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysis$ReferralType)),simpleCap))
hei.m2 <- getmedtex(var=analysis$EnrollHeight,by=analysis$outcome24mo,label="Height (cm)",note="ac",inc.pval=TRUE)
wei.m2 <- getmedtex(var=analysis$EnrollWeight,by=analysis$outcome24mo,label="Weight (kg)",note="ac",inc.pval=TRUE)
bmi.m2 <- getmedtex(var=analysis$EnrollBMI   ,by=analysis$outcome24mo,label="BMI (kg/m$^2$)",note="ac",inc.pval=TRUE,lower.label=FALSE)
txcd4.m2 <- getmedtex(var=analysis$txcd4,by=analysis$outcome24mo,label="CD4 count",note="a",inc.pval=TRUE,lower.label=FALSE)
txhem.m2 <- getmedtex(var=analysis$txhem,by=analysis$outcome24mo,label="Hemoglobin",note="a",inc.pval=TRUE)
  analysis$txstage[analysis$txstage==""] <- NA
txstage.n2 <- getnptex(var=analysis$txstage,by=analysis$outcome24mo,label="WHO Stage",inc.pval=TRUE,rowlabel=c("I","II","III","IV"))

en2tx.m2 <- getmedtex(var=as.numeric(analysis$en2tx),by=analysis$outcome24mo,label="Time from enrollment to ART initiation",note="a",inc.pval=TRUE)

## EMAILED BILL AND TROY RE: TXREGIME

table3  <- paste(sex.n2$line,age.m2$line,edu.n2$line.incmiss,mar.n2$line.incmiss,
                 dis.n2$line,ref.n2$line.incmiss,sep=" \\\\\\\\ ")
table4  <- paste(reg.n2$line.incmiss,d4t.n2$line.incmiss,hei.m2$line.incmiss,wei.m2$line.incmiss,bmi.m2$line.incmiss,
		             en2tx.m2,txcd4.m2$line.incmiss,txhem.m2$line.incmiss,txstage.n2$line.incmiss
                 ,sep=" \\\\\\\\ ")




