#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 19 August 2011
#   Revisions: 
#     
#
#############################################################
reftypes <- c("EXTERNAL CONSULTATION","MEDICAL INPATIENT","National plan to combat tuberculosis","PREVENTION MOTHER CHILD TRANSMISSION","Voluntary counseling and testing")
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"
analysisref <- analysis[analysis$ReferralType %in% reftypes,]
O24REF.N <- table(analysisref$ReferralType)
analysisref$ReferralType <- as.factor(analysisref$ReferralType)
sex.n3 <- getnp1line(var=ifelse(analysisref$Sex=="F",1,NA),by=analysisref$ReferralType,rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m3 <- getmedtex(var=analysisref$Age,by=analysisref$ReferralType,label="Age",note="a",inc.pval=TRUE)
  analysisref$Education[analysisref$Education %in% c("OTHER NON-CODED","")] <- NA
edu.n3 <- getnptex(var=analysisref$Education,by=analysisref$ReferralType,label="Education",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysisref$Education)),simpleCap))
  analysisref$Maritalstatus[analysisref$Maritalstatus %in% c("OTHER NON-CODED","")] <- NA
  analysisref$Maritalstatus[analysisref$Maritalstatus %in% c("SEPARATED","DIVORCED")] <- "DIVORCED/SEPARATED"
mar.n3 <- getnptex(var=analysisref$Maritalstatus,by=analysisref$ReferralType,label="Marital status",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysisref$Maritalstatus)),simpleCap))
dis.n3 <- getnptex(var=analysisref$districts,by=analysisref$ReferralType,label="District",inc.pval=TRUE,rowlabel=sapply(levels(as.factor(analysisref$districts)),simpleCap))

reg.n3 <- getnptex(var=analysisref$ARTregimen,by=analysisref$ReferralType,label="ART regimen",inc.pval=TRUE,rowlabel=levels(as.factor(analysisref$ARTregimen)))
d4t.n3 <- getnptex(var=analysisref$D4T,by=analysisref$ReferralType,label="D4T based regimen",inc.pval=TRUE,rowlabel=levels(as.factor(analysisref$D4T)))
out.n3 <- getnptex(var=analysisref$outcome24mo,by=analysisref$ReferralType,label="Outcome (24 mo)",inc.pval=TRUE,rowlabel=c("Alive","Dead","Lost"))
hei.m3 <- getmedtex(var=analysisref$EnrollHeight,by=analysisref$ReferralType,label="Height (cm)",note="ac",inc.pval=TRUE)
wei.m3 <- getmedtex(var=analysisref$EnrollWeight,by=analysisref$ReferralType,label="Weight (kg)",note="ac",inc.pval=TRUE)
bmi.m3 <- getmedtex(var=analysisref$EnrollBMI   ,by=analysisref$ReferralType,label="BMI (kg/m$^2$)",note="ac",inc.pval=TRUE,lower.label=FALSE)
en2tx.m3 <- getmedtex(var=as.numeric(analysisref$en2tx),by=analysisref$ReferralType,label="Time from enrollment to ART initiation",note="a",inc.pval=TRUE)
txcd4.m3 <- getmedtex(var=analysisref$txcd4,by=analysisref$ReferralType,label="CD4 count",note="a",inc.pval=TRUE,lower.label=FALSE)
txhem.m3 <- getmedtex(var=analysisref$txhem,by=analysisref$ReferralType,label="Hemoglobin",note="a",inc.pval=TRUE)
  analysisref$txstage[analysisref$txstage==""] <- NA
txstage.n3 <- getnptex(var=analysisref$txstage,by=analysisref$ReferralType,label="WHO Stage",inc.pval=TRUE,rowlabel=c("I","II","III","IV"))


## EMAILED BILL AND TROY RE: TXREGIME

table5  <- paste(sex.n3$line,age.m3$line,edu.n3$line.incmiss,mar.n3$line.incmiss,
                 dis.n3$line,reg.n3$line.incmiss,d4t.n3$line.incmiss,hei.m3$line.incmiss,wei.m3$line.incmiss,bmi.m3$line.incmiss,
		             en2tx.m3,txcd4.m3$line.incmiss,txhem.m3$line.incmiss,txstage.n3$line.incmiss,out.n3$line
                 ,sep=" \\\\\\\\ ")


TYPEHEAD <- paste(sapply(c("EXTERNAL CONSULTATION","MEDICAL INPATIENT","Voluntary counseling and testing","PREVENTION MOTHER CHILD TRANSMISSION","National plan to combat tuberculosis"),simpleCap),collapse=" & ")


analysisref$enrollyear <- as.numeric(substr(analysisref$Dateofenrollment,1,4))
analysisref$enrollyear[analysisref$enrollyear==2005] <- 2007
analysisref$enrollyear[analysisref$enrollyear==2006] <- 2007
analysisref$enrollyear[analysisref$enrollyear==2011] <- 2010
round(100*table(analysisref$enrollyear)/sum(table(analysisref$enrollyear)))
round(100*table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[1]])/sum(table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[1]])))
round(100*table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[2]])/sum(table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[2]])))
round(100*table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[3]])/sum(table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[3]])))
round(100*table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[4]])/sum(table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[4]])))
round(100*table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[5]])/sum(table(analysisref$enrollyear[analysisref$ReferralType %in% reftypes[5]])))

table(analysisref$enrollyear,analysisref$ReferralType)


y1 <- round(100*table(analysisref$ReferralType[analysisref$enrollyear==2007])/sum(table(analysisref$ReferralType[analysisref$enrollyear==2007])))
y2 <- round(100*table(analysisref$ReferralType[analysisref$enrollyear==2008])/sum(table(analysisref$ReferralType[analysisref$enrollyear==2008])))
y3 <- round(100*table(analysisref$ReferralType[analysisref$enrollyear==2009])/sum(table(analysisref$ReferralType[analysisref$enrollyear==2009])))
y4 <- round(100*table(analysisref$ReferralType[analysisref$enrollyear==2010])/sum(table(analysisref$ReferralType[analysisref$enrollyear==2010])))


